%define module_name Sys-Binmode
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt2
Summary: Fix Perl.s system call character encoding.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FELIPE/%{module_name}-%{version}.tar.gz

%description
tl;dr: Use this module in all new code.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.05-alt2
- rebuild with perl 5.38

* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.04-alt2
- rebuild with perl 5.34.0

* Tue Mar 23 2021 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- updated by package builder

* Mon Mar 15 2021 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- updated by package builder

* Mon Mar 08 2021 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- updated by package builder

* Wed Mar 03 2021 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

